Package org.python.core

## Class PyFrozenSet

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.BaseSet
    - - org.python.core.PyFrozenSet

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable`, `java.util.Collection`, `java.util.Set`, `Traverseproc`
  Direct Known Subclasses:
    `PyFrozenSetDerived`

      public class PyFrozenSet
      extends BaseSet

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PyType` | `TYPE` |

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PyFrozenSet()` |
    `PyFrozenSet​(PyObject data)` |
    `PyFrozenSet​(PyType type, PyObject data)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `add​(java.lang.Object o)` |
    `boolean` | `addAll​(java.util.Collection c)` |
    `void` | `clear()` |
    `static PyObject` | `frozenset___new__​(PyNewWrapper new_, boolean init, PyType subtype, PyObject[] args, java.lang.String[] keywords)` |
    `int` | `hashCode()` | The hashCode of the set.
    `java.util.Iterator` | `iterator()` |
    `boolean` | `remove​(java.lang.Object o)` |
    `boolean` | `removeAll​(java.util.Collection c)` |
    `boolean` | `retainAll​(java.util.Collection c)` |

    - ### Methods inherited from class org.python.core.BaseSet

      `__and__, __cmp__, __contains__, __eq__, __ge__, __gt__, __iter__, __le__, __len__, __lt__, __ne__, __nonzero__, __or__, __reduce__, __sub__, __xor__, contains, containsAll, difference, getSet, isEmpty, refersDirectlyTo, size, symmetric_difference, toArray, toArray, toString, traverse`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __coerce__, __coerce_ex__, __complex__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iternext__, __itruediv__, __ixor__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __tojava__, __truediv__, __trunc__, __unicode__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `equals, spliterator`

- - ### Field Detail

    - #### TYPE

          public static final PyType TYPE

  - ### Constructor Detail

    - #### PyFrozenSet

          public PyFrozenSet()

    - #### PyFrozenSet

          public PyFrozenSet​(PyObject data)

    - #### PyFrozenSet

          public PyFrozenSet​(PyType type,
                             PyObject data)

  - ### Method Detail

    - #### frozenset___new__

          public static PyObject frozenset___new__​(PyNewWrapper new_,
                                                   boolean init,
                                                   PyType subtype,
                                                   PyObject[] args,
                                                   java.lang.String[] keywords)

    - #### hashCode

          public int hashCode()

      Description copied from class: `BaseSet`
      The hashCode of the set. Only immutable instances can be hashed.
      Specified by:
        `hashCode` in interface `java.util.Collection`
      Specified by:
        `hashCode` in interface `java.util.Set`
      Specified by:
        `hashCode` in class `BaseSet`
      Returns:
        The hashCode of the set.

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `java.util.Collection`
      Specified by:
        `clear` in interface `java.util.Set`
      Overrides:
        `clear` in class `BaseSet`

    - #### add

          public boolean add​(java.lang.Object o)

      Specified by:
        `add` in interface `java.util.Collection`
      Specified by:
        `add` in interface `java.util.Set`
      Overrides:
        `add` in class `BaseSet`

    - #### remove

          public boolean remove​(java.lang.Object o)

      Specified by:
        `remove` in interface `java.util.Collection`
      Specified by:
        `remove` in interface `java.util.Set`
      Overrides:
        `remove` in class `BaseSet`

    - #### addAll

          public boolean addAll​(java.util.Collection c)

      Specified by:
        `addAll` in interface `java.util.Collection`
      Specified by:
        `addAll` in interface `java.util.Set`
      Overrides:
        `addAll` in class `BaseSet`

    - #### removeAll

          public boolean removeAll​(java.util.Collection c)

      Specified by:
        `removeAll` in interface `java.util.Collection`
      Specified by:
        `removeAll` in interface `java.util.Set`
      Overrides:
        `removeAll` in class `BaseSet`

    - #### retainAll

          public boolean retainAll​(java.util.Collection c)

      Specified by:
        `retainAll` in interface `java.util.Collection`
      Specified by:
        `retainAll` in interface `java.util.Set`
      Overrides:
        `retainAll` in class `BaseSet`

    - #### iterator

          public java.util.Iterator iterator()

      Specified by:
        `iterator` in interface `java.util.Collection`
      Specified by:
        `iterator` in interface `java.lang.Iterable`
      Specified by:
        `iterator` in interface `java.util.Set`
      Overrides:
        `iterator` in class `BaseSet`